package com.zcloud.service.emergency.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.emergency.EmergencyDrillOrgMemberMapper;
import com.zcloud.service.emergency.EmergencyDrillOrgMemberService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：应急指挥机构成员
 * 作者：luoxiaobao
 * 时间：2021-06-19
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class EmergencyDrillOrgMemberServiceImpl implements EmergencyDrillOrgMemberService {

	@Autowired
	private EmergencyDrillOrgMemberMapper emergencydrillorgmemberMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		emergencydrillorgmemberMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		emergencydrillorgmemberMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		emergencydrillorgmemberMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return emergencydrillorgmemberMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return emergencydrillorgmemberMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return emergencydrillorgmemberMapper.findById(pd);
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception{
		emergencydrillorgmemberMapper.deleteAll(pd);
	}

	/**列表(根据应急演练基础信息ID查询)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listByBaseId(PageData pd) {
		return emergencydrillorgmemberMapper.listByBaseId(pd);
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteByBaseId(PageData pd)throws Exception{
		emergencydrillorgmemberMapper.deleteByBaseId(pd);
	}
}

